### Method

# Gtk ShortcutTriggerto_label

#### Declaration [src]

    char*
    gtk_shortcut_trigger_to_label (
      GtkShortcutTrigger* self,
      GdkDisplay* display
    )

#### Description [src]

Gets textual representation for the given trigger.

This function is returning a translated string for presentation to end users for example in menu items or in help texts.

The `display` in use may influence the resulting string in various forms, such as resolving hardware keycodes or by causing display-specific modifier names.

The form of the representation may change at any time and is not guaranteed to stay identical.

#### Parameters

`display`

  Type: `GdkDisplay`

  `GdkDisplay` to print for.

  The data is owned by the caller of the method.

#### Return value

Type: `char*`

A new string.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.